/*
 * Copyright 2021 Xilinx, Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef X86_PROGRAM_H__
#define X86_PROGRAM_H__

struct ImageLoc;
typedef struct ImageLoc ImageLoc;

struct ImageLoc
{
    uint32_t qPEBStart;
    uint32_t qPEBEnd;
    uint32_t qSubsectorNumber;
    uint32_t qRBEIndex;
};

extern bool EraseLoc(Sys* pSys,uint32_t qLoc);
extern bool ProgramImageAtLoc(Sys* pSys,ImageInfo* pII,uint32_t qLoc);
extern bool CopyAtoB(Sys* pSys);

#endif /* X86_PROGRAM_H__ */
